this.primevue = this.primevue || {};
this.primevue.card = (function (BaseComponent, vue) {
    'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var BaseComponent__default = /*#__PURE__*/_interopDefaultLegacy(BaseComponent);

    var script = {
        name: 'Card',
        extends: BaseComponent__default["default"]
    };

    function render(_ctx, _cache, $props, $setup, $data, $options) {
      return (vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({ class: "p-card p-component" }, _ctx.ptm('root')), [
        (_ctx.$slots.header)
          ? (vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
              key: 0,
              class: "p-card-header"
            }, _ctx.ptm('header')), [
              vue.renderSlot(_ctx.$slots, "header")
            ], 16 /* FULL_PROPS */))
          : vue.createCommentVNode("v-if", true),
        vue.createElementVNode("div", vue.mergeProps({ class: "p-card-body" }, _ctx.ptm('body')), [
          (_ctx.$slots.title)
            ? (vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
                key: 0,
                class: "p-card-title"
              }, _ctx.ptm('title')), [
                vue.renderSlot(_ctx.$slots, "title")
              ], 16 /* FULL_PROPS */))
            : vue.createCommentVNode("v-if", true),
          (_ctx.$slots.subtitle)
            ? (vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
                key: 1,
                class: "p-card-subtitle"
              }, _ctx.ptm('subtitle')), [
                vue.renderSlot(_ctx.$slots, "subtitle")
              ], 16 /* FULL_PROPS */))
            : vue.createCommentVNode("v-if", true),
          vue.createElementVNode("div", vue.mergeProps({ class: "p-card-content" }, _ctx.ptm('content')), [
            vue.renderSlot(_ctx.$slots, "content")
          ], 16 /* FULL_PROPS */),
          (_ctx.$slots.footer)
            ? (vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
                key: 2,
                class: "p-card-footer"
              }, _ctx.ptm('footer')), [
                vue.renderSlot(_ctx.$slots, "footer")
              ], 16 /* FULL_PROPS */))
            : vue.createCommentVNode("v-if", true)
        ], 16 /* FULL_PROPS */)
      ], 16 /* FULL_PROPS */))
    }

    script.render = render;
    script.__file = "components/lib/card/Card.vue";

    return script;

})(primevue.basecomponent, Vue);
